Subject: Re: bug#45454: 27.1; Help for EIEIO constructors has two consecutive spaces

From: Tim Landscheidt <[email-masked]>
Date: Tue, 29 Dec 2020 16:11:15 +0000

Lars Ingebrigtsen <[email-masked]> wrote:

>> * lisp/emacs-lisp/eieio-opt.el (eieio-help-constructor): Amend format
>> to avoid two spaces for non-autoloaded object constructor functions.

>> Copyright-paperwork-exempt: yes

> Looks good to me; I've applied this to Emacs 28.

> This is your fifth tiny change to Emacs, but looking over the other
> changes, I think we're still below the limit.

> But this means that you're cumulatively getting close to the maximum
> before the FSF needs copyright assignment papers for your changes to
> Emacs.  Would you be willing to sign such papers now to expedite
> applying any further patches from you in the future?

Yes; in 2018, I (IIRC unpromptedly) started the process
(gnu.org #1268668), but I think it got stuck.